"""
Comparison.py
Author: Mike Lynch
Date: 12-18-06

A simple script to execute a comparison of two programs
"""

import os
import time

iters = 500

print "Starting DSPL tests..."
startProgA = time.time()
for i in range(iters):
    os.system("arrayaddition.exe")
endProgA = time.time()

print "Starting C tests..."
startProgB = time.time()
for i in range(iters):
    os.system("arrayaddition.o")
endProgB = time.time()

print "Time to run DSPL file: %d" % (endProgA - startProgA)
print "Time to run C file: %d" % (endProgB - startProgB)
